#!/bin/sh

# -*- sh -*- 
# This is responsible for running the solartech java application.
#
# The java application should block execution until it finishes.

# This has to be BOOTCLASSPATH not CLASSPATH because jamvm won't load our native symbols (given our static linking fakery for jni functions) if solartech files are in CLASSPATH rather than BOOTCLASSPATH
export BOOTCLASSPATH=/usr/share/jamvm/classes.zip:\
/usr/share/classpath/glibj.zip:\
/usr/share/classpath/custom.zip:\
/usr/java/solartech/trafix.jar:\
/usr/java/solartech/fbpeer.jar

echo Running jamvm.
exec /usr/bin/jamvm \
    -showversion \
    -Dawt.toolkit=com.solartechnology.fbpeer.FBToolkit \
    -Xmx32m -Xms32m -Xss63k -Xcodemem:8M -Xreplication:always \
    com.solartechnology.display.DisplayController

# Reboot the system, or if that doesn't work, give the watchdog time to
# reboot the system, rather than fail to a root shell. (Only really matters
# if the exec fails somehow.)
/usr/bin/rtc_reboot
sleep 86400